<?php
/**
 * ShopVoteModuleCenterModule.inc.php 2020-05-14
 *
 * @category  ShopVote
 * @package   shopvote/gambio_gx3
 * @link      https://www.shopvote.de
 *
 * @author    Valentin Fischer @ icue medienproduktion GmbH & Co. KG <contact@icue-medien.de>
 * @copyright ShopVote.de - Dirk Stuwe
 * @license   GPL-3.0
 * @license   https://opensource.org/licenses/GPL-3.0
 *
 * @author    Gambio GmbH
 * @version   2019-06-06
 */

class ShopVoteModuleCenterModule extends AbstractModuleCenterModule
{
    protected function _init()
    {
        $this->title = $this->languageTextManager->get_text('SHOPVOTE_TITLE');
        $this->description = $this->languageTextManager->get_text('SHOPVOTE_DESCRIPTION');
        $this->sortOrder = 99999;
    }
    
    
    /**
     * Installs the module
     */
    public function install()
    {
        parent::install();
        /** @var \ShopVoteModuleCenterModuleInstaller $shopVoteModuleCenterModuleInstaller */
        $shopVoteModuleCenterModuleInstaller = MainFactory::create('ShopVoteModuleCenterModuleInstaller', $this->db);
        $shopVoteModuleCenterModuleInstaller->prepareDatabase();
    }
    
    
    /**
     * Uninstalls the module (optional)
     */
    public function uninstall()
    {
        parent::uninstall();
        $this->db->query('DROP TABLE IF EXISTS `shopvote`');
    }

}
