<?php
/* --------------------------------------------------------------
   ShopVoteModuleCenterModuleInstaller.inc.php 2020-05-14
   Gambio GmbH
   http://www.gambio.de
   Copyright (c) 2019 Gambio GmbH
   Released under the GNU General Public License (Version 2)
   [http://www.gnu.org/licenses/gpl-2.0.html]
   --------------------------------------------------------------
*/

class ShopVoteModuleCenterModuleInstaller {
    /** @var \CI_DB_query_builder */
    protected $db;
    
    
    /**
     * ShopVoteModuleCenterModuleInstaller constructor.
     *
     * @param \CI_DB_query_builder $db
     */
    public function __construct(\CI_DB_query_builder $db)
    {
        $this->db = $db;
    }
    
    
    /**
     * prepares database tables and entries
     */
    public function prepareDatabase()
    {
        $createtable = "
			CREATE TABLE IF NOT EXISTS `shopvote` (
				`id` INT NOT NULL AUTO_INCREMENT ,
				`installed` INT(1) NOT NULL DEFAULT '1' ,
				`reviews_html` TEXT NULL DEFAULT NULL ,
				`reviews_script` TEXT NULL DEFAULT NULL ,
				`stars_script` TEXT NULL DEFAULT NULL ,
    			PRIMARY KEY (`id`));";
        $this->db->query($createtable);
        $shopvoteTableEntries = $this->db->get('shopvote')->result_array();
        if (empty($shopvoteTableEntries)) {
            $this->db->insert('shopvote', ['installed' => 1]);
        }
        
        $createReviewsTable = 'CREATE TABLE IF NOT EXISTS `shopvote_reviews` (
            `shopvote_reviews_id` INT NOT NULL AUTO_INCREMENT ,
            `review_uid` VARCHAR(32) NOT NULL ,
            `sku` VARCHAR(64) NOT NULL ,
            `gtin` VARCHAR(14) NOT NULL ,
            `created` DATE NOT NULL ,
            `author` VARCHAR(100) NOT NULL ,
            `rating_value` INT(1) NOT NULL ,
            `review_text` TEXT NOT NULL ,
            PRIMARY KEY (`shopvote_reviews_id`),
            UNIQUE `ReviewUID` (`review_uid`))';
        $this->db->query($createReviewsTable);
        
        $lastTimestamp = (int)gm_get_conf('SHOPVOTE_LAST_UPDATE_TIMESTAMP');
        if (!($lastTimestamp > 0)) {
            gm_set_conf('SHOPVOTE_LAST_UPDATE_TIMESTAMP', 0);
        }
    }
}
