<?php
/* --------------------------------------------------------------
   ShopVoteBottomThemeContentView.inc.php 2022-07-13
   Gambio GmbH
   http://www.gambio.de
   Copyright (c) 2019 Gambio GmbH
   Released under the GNU General Public License (Version 2)
   [http://www.gnu.org/licenses/gpl-2.0.html]
   --------------------------------------------------------------
*/

class ShopVoteBottomThemeContentView extends ShopVoteBottomThemeContentView_parent
{
    public function get_modules_html()
    {
        $html        = parent::get_modules_html();
        $isInstalled = (int)gm_get_conf('MODULE_CENTER_SHOPVOTE_INSTALLED') === 1;
        if (!$isInstalled) {
            return $html;
        }
        
        $db       = StaticGXCoreLoader::getDatabaseQueryBuilder();
        $shopvote = $db->limit(1)->order_by('`id`  DESC')->get('shopvote')->row_array();
        $html     .= $shopvote['stars_script'];
        
        $cookieConsentPurposeId = (int)gm_get_conf('SHOPVOTE_COOKIE_CONSENT_ID');
        if ($cookieConsentPurposeId > 0) {
            $html = strtr($html, [
                'src'     => 'data-src',
                'type'    => 'data-type',
                '<script' => '<script type="as-oil" data-type="application/javascript" data-managed="as-oil" '
                             . 'data-purposes="' . $cookieConsentPurposeId . '" ',
            ]);
        }
        
        return $html;
    }
}
