<?php
/* --------------------------------------------------------------
   ShopvoteProductListingThemeContentView.inc.php 2020-03-05
   Gambio GmbH
   http://www.gambio.de
   Copyright (c) 2019 Gambio GmbH
   Released under the GNU General Public License (Version 2)
   [http://www.gnu.org/licenses/gpl-2.0.html]
   --------------------------------------------------------------
*/

class ShopvoteProductListingThemeContentView extends ShopvoteProductListingThemeContentView_parent
{
    /**
     * Inserts a new content data key SHOPVOTE_RATINGS containing an array mapping product_ids to rating data.
     *
     * Rating data is computed as average from shop’s own rating system and Shopvote data.
     */
    public function prepare_data()
    {
        parent::prepare_data();
    
        if (ShopvoteContentViewHelper::isShopvoteReviewsEnabled() === false) {
            return;
        }
    
        if (isset($this->products_array) && is_array($this->products_array)) {
            $productIDsArray = array_map(static function($el) { return $el['PRODUCTS_ID']; }, $this->products_array);
            $shopvoteRatings = ShopvoteContentViewHelper::getAverageRatings($productIDsArray);
            $this->set_content_data('SHOPVOTE_RATINGS', $shopvoteRatings);
        }
    }
}
